const __VLS_emit = defineEmits(); // @ts-ignore
const __VLS_ctx = {
    ...{},
    ...{},
    ...{},
    ...{},
};
let __VLS_components;
let __VLS_intrinsics;
let __VLS_directives;
/** @type {__VLS_StyleScopedClasses['ks-form-layout']} */ ;
__VLS_asFunctionalElement1(__VLS_intrinsics.div, __VLS_intrinsics.div)({
    ...{ class: "ks-form-layout" },
});
/** @type {__VLS_StyleScopedClasses['ks-form-layout']} */ ;
__VLS_asFunctionalElement1(__VLS_intrinsics.form, __VLS_intrinsics.form)({
    ...{ onSubmit: (...[$event]) => {
            return (__VLS_ctx.$emit('submit'));
            // @ts-ignore
            [$emit,];
        } },
    ...{ class: "ks-form-layout__form ks-card" },
});
/** @type {__VLS_StyleScopedClasses['ks-form-layout__form']} */ ;
/** @type {__VLS_StyleScopedClasses['ks-card']} */ ;
var __VLS_0 = {};
if (__VLS_ctx.$slots.preview) {
    __VLS_asFunctionalElement1(__VLS_intrinsics.aside, __VLS_intrinsics.aside)({
        ...{ class: "ks-form-layout__preview ks-card" },
    });
    /** @type {__VLS_StyleScopedClasses['ks-form-layout__preview']} */ ;
    /** @type {__VLS_StyleScopedClasses['ks-card']} */ ;
    var __VLS_2 = {};
}
// @ts-ignore
var __VLS_1 = __VLS_0, __VLS_3 = __VLS_2;
// @ts-ignore
[$slots,];
const __VLS_base = (await import('vue')).defineComponent({
    __typeEmits: {},
});
const __VLS_export = {};
export default {};
